%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc

%define libxml2_version 2.5.11
%define gtk2_version 2.2.4
%define freetype2_version 2.1.4
%define popt_version 1.7
%define libart_version 2.3.16

Name:		librsvg2
Summary: 	An SVG library based on libart.
Version: 	2.4.0
Release: 	1
License: 	LGPL
Group: 		System Environment/Libraries
Source: 	librsvg-%{version}.tar.bz2

Patch0:		librsvg-2.4.0-aix.patch
Patch1:		librsvg-2.4.0-autotools.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:	gtk2 >= %{gtk2_version}
Requires:	libxml2 >= %{libxml2_version}
Requires:	popt >= %{popt_version}
Requires:	freetype2 >= %{freetype2_version}
Requires:       libart_lgpl >= %{libart_version}
Requires:	libpng
# Requires:       libgsf
# BuildRequires: 	libpng-devel
# BuildRequires:	gtk2-devel >= %{gtk2_version}
# BuildRequires:	libxml2-devel >= %{libxml2_version}
# BuildRequires:	popt >= %{popt_version}
# BuildRequires:	freetype2-devel >= %{freetype2_version}
# BuildRequires:  libart_lgpl-devel >= %{libart_version}

%description
An SVG library based on libart.

%package devel
Summary: 	Libraries and include files for developing with librsvg.
Group: 		Development/Libraries
Requires:	%{name} = %{version}
Requires:	gtk2-devel >= %{gtk2_version}
Requires:	libxml2-devel >= %{libxml2_version}
Requires:	freetype2-devel >= %{freetype2_version}
Requires:       libart_lgpl-devel >= %{libart_version}
# Requires:       libgsf-devel

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with librsvg.

%prep
%setup -q -n librsvg-%{version}

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/librsvg-2.4.0-aix.patch
$PATCH -p2 -s < %{_sourcedir}/librsvg-2.4.0-autotools.patch


%build
PATH=%{_bindir}:$PATH LDFLAGS="-L%{_libdir}" ./configure --prefix=%{_prefix}
make

%install
if test "%{buildroot}" != "/"; then
        rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install-strip

# Make the links
cd %{buildroot}
for dir in lib include
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%clean

%files
%defattr(-, root, system)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%doc %{_datadir}/doc/librsvg/html
%{_libdir}/*.a
%{_libdir}/gtk-2.0/*/engines/libsvg.a
%{_libdir}/gtk-2.0/*/loaders/libsvg_loader.a
%{_bindir}/rsvg
%{_mandir}/man1/*

/usr/lib/lib*.a
/usr/lib/gtk-2.0/*/engines/libsvg.a
/usr/lib/gtk-2.0/*/loaders/libsvg_loader.a

%files devel
%defattr(-, root, system)
%{_libdir}/*.la
%{_libdir}/gtk-2.0/*/engines/libsvg.la
%{_libdir}/gtk-2.0/*/loaders/svg_loader.la
%{_libdir}/pkgconfig/librsvg-2.0.pc
%{_includedir}/librsvg-2/librsvg
/usr/include/*
